Replace setDefaultBrowser and isDefaultBrowser with  options
We shouldn't add custom APIs to UITour when we have general APIs for  values in the browser. Reusing existing patterns reduces the complexity of UITour.
